# specify ilcsoft and ILD configuration locations
export ILCSOFT_DIR=/Users/proj/soft/ilcsoft
export ILDCONFIG_DIR=$ILCSOFT_DIR/ILDConfig/v02-03-02

# general initialization for ilcsoft environment
export ILCSOFT=$ILCSOFT_DIR/v02-03-02
source $ILCSOFT/init_ilcsoft.sh

# ddsim requires the following
source $ILCSOFT/DD4hep/v01-25-01/bin/thisdd4hep.sh
source $ILCSOFT/lcgeo/v00-18-01/bin/thislcgeo.sh

export MARLIN_DLL="/Users/proj/soft/ilcsoft/v02-03-02/CEDViewer/v01-19-01/lib/libCEDViewer.dylib"

# ced needs the following paths to be added to DYLD_LIBRARY_PATH
export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$ILCSOFT/Marlin/v01-19/lib:$ILCSOFT/RAIDA/v01-11/lib:$ILCSOFT/lccd/v01-05-01/lib:$ILCSOFT/MarlinTrk/v02-09-01/lib:$ILCSOFT/KalDet/v01-14-01/lib:$ILCSOFT/MarlinKinfit/v00-06-01/lib:$ILCSOFT/KiTrackMarlin/v01-13-02/lib:$ILCSOFT/KiTrack/v01-10/lib:/Users/proj/soft/ilcsoft/v02-03-02/CEDViewer/v01-19-01/lib:/opt/osxws/lib

DYLD_LIBRARY_PATH=`echo $DYLD_LIBRARY_PATH | sed -e 's;/opt/osxws/lib:;;g' -e 's;/opt/osxws/lib64:;;g' -e 's;::;:;g' -e 's;/usr/lib:;;g' -e 's;/usr/lib64:;;g'`
DYLD_LIBRARY_PATH=`echo $DYLD_LIBRARY_PATH | sed -e 's;/opt/osxws/lib;;g' -e 's;/opt/g4/10.06/lib:;;g'`:/opt/g4/11.1.2/lib:/opt/osxws/lib
export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH
